//////////////////////////////
//    Dynamic-AI-Creator    //
//    Version 2.0 - 2007    //
//--------------------------//
//    DAC_Config_Creator    //
//--------------------------//
//    Script by Silola      //
//    silola@mapfact.net    //
//////////////////////////////

private ["_sum","_scr","_pre"];

if(isServer) then {if(isnull player) then {DAC_Code = 0} else {DAC_Code = 1}} else {if(isnull player) then {DAC_Code = 3} else {DAC_Code = 2}};

waituntil{time > 0.3};

DAC_Basic_Value = 0;scalar = "scalar bool array string 0xe0ffffef";DAC_Init_Camps = 0;

//===============|
// DAC_Settings	 |
//===============|=============================================================================================|

	DAC_STRPlayers = ["s1","s2","s3","s4","s5","s6","s7","s8","s9","s10","s11","s12","s13","s14","s15","s16"];
	
	if(isNil "DAC_AI_Count_Level")	then {		DAC_AI_Count_Level  = [[2,4],[2,6],[2,8],[2,12],[5,0]]			};
	if(isNil "DAC_Dyn_Weather") 	then {		DAC_Dyn_Weather		= [300,120,1,0.7]							};
	if(isNil "DAC_Reduce_Value") 	then {		DAC_Reduce_Value	= [600,650,0.3]								};
	if(isNil "DAC_AI_Spawn") 		then {		DAC_AI_Spawn		= [[5,10,10],[5,10,15],0,0,100]				};
	if(isNil "DAC_Delete_Value") 	then {		DAC_Delete_Value	= [120,150]									};
	if(isNil "DAC_Del_PlayerBody") 	then {		DAC_Del_PlayerBody	= [0,0]										};
	if(isNil "DAC_Com_Values") 		then {		DAC_Com_Values		= [1,2,0]									};
	if(isNil "DAC_AI_AddOn") 		then {		DAC_AI_AddOn		= 1											};
	if(isNil "DAC_AI_Level") 		then {		DAC_AI_Level		= 4											};
	if(isNil "DAC_Res_Side") 		then {		DAC_Res_Side		= 0											};
	if(isNil "DAC_VehAllowed") 		then {		DAC_VehAllowed 		= [0,1]										};
	if(isNil "DAC_Marker") 			then {		DAC_Marker			= 1											};
	if(isNil "DAC_WP_Speed") 		then {		DAC_WP_Speed		= 0.01										};
	if(isNil "DAC_GunAllowed") 		then {		DAC_GunAllowed 		= ["M2StaticMG","M119","DSHKM","AGS","D30"]	};
	
	DAC_SayArrayE  = [[],[],[],[],[],[],[]];
	DAC_SayArrayW  = [[],[],[],[],[],[],[]];
	
	DAC_BadBuildings = 	[
							"CampEmpty","CampEast","Land_dum_istan4","Land_dum_istan4_detaily1",
							"Land_dum_istan4_inverse","Land_vez","Land_water_tank","Land_zidka03",
							"Land_dum_istan4_big_inverse","Land_dum_istan4_big","Land_Vysilac_FM",
							"Land_kolotoc","Land_Nasypka"
						];
	//=============================================================================================================|

	_scr = [] spawn (compile preprocessFile "DAC\Scripts\DAC_Preprocess.sqf");
	waituntil {scriptdone _scr};
	DAC_StartDummy = "logic" createvehicle [0,0,0];
	if(DAC_Code < 2) then {DAC_Init_Counter = [2,2,2,2,2]};
	if(DAC_Code == 3) then {DAC_Basic_Value = 1};
	DAC_Dyn_Weather = DAC_Dyn_Weather + [DAC_Code];
	if(DAC_Marker > 0) then	{DAC_Marker_Val = [DAC_Marker] call DAC_fConfigMarker};
	
if(DAC_Code < 2) then
{
	[] execVM "DAC\Scripts\DAC_Init_Creator.sqf";
	if((count DAC_VehAllowed) > 0) then {[] execVM "DAC\Scripts\DAC_Vehicle_check.sqf"};
	DAC_Dyn_Weather execVM "DAC\Scripts\DAC_Dyn_Weather.sqf";
	waituntil {(DAC_Basic_Value > 0)};
	if(DAC_Basic_Value > 1) then
	{
		hintc format["Attention, DAC has caused an Error.\nThe initialization has missed.\n\nError number: %1\n\n2 = Script call\n3 = DAC_Players\n4 = Unit_Config\n5 = Arti_Config\n6 = DAC_Marker\n7 = Waypoints\n8 = Zonename\n9 = wrong AI-Addon",DAC_Basic_Value];
		if(time > 0) exitwith {};
	}
	else
	{
		[] execVM "DAC\Scripts\DAC_Server_check.sqf";
		if(DAC_Code == 1) then {[] spawn DAC_fClientCheck};
		[]execVM "DAC\Marker\DAC_InitMarker.sqf";
		
		//===========================================|
		// StartScriptOnServer                       |
		//===========================================|
		//player sidechat "ServerStart"
		//[] execVM "myServerScript.sqf";
	};
}
else
{
	DAC_Dyn_Weather execVM "DAC\Scripts\DAC_Dyn_Weather.sqf";
	if((DAC_Com_Values select 1) > 0) then {DAC_InitText = format["# DAC V2.0 is initialized ..."];hint DAC_InitText};
	_sum = time;
	sleep 3;
	if(DAC_Code == 3) then
	{
		if((DAC_Com_Values select 1) > 0) then {hint format["This is a DAC Mission.\n\nGood luck soldier."]};
		[] spawn DAC_fClientCheck;[] spawn DAC_fClientSpeak;
		[]execVM "DAC\Marker\DAC_InitMarker.sqf";
		
		//===========================================|
		// StartScriptOnJipClient                    |
		//===========================================|
		//player sidechat "JipClientStart"
		//[] execVM "myJipClientScript.sqf";
	}
	else
	{
		waituntil {(DAC_Basic_Value > 0)};
		if(DAC_Basic_Value > 1) then
		{
			hintc format["Attention, DAC has caused an Error.\nThe initialization has missed.\n\nError number: %1\n\n2 = Script call\n3 = DAC_Players\n4 = Unit_Config\n5 = Arti_Config\n6 = DAC_Marker\n7 = Waypoints\n8 = Zonename\n9 = wrong AI-Addon",DAC_Basic_Value];
			if(time > 0) exitwith {};
		}
		else
		{
			_sum = time - _sum;
			if((DAC_Com_Values select 1) > 0) then {hint format["DAC V2.0 init successfully.\nRequired time: %1 sec.",_sum]};
			[] spawn DAC_fClientCheck;[] spawn DAC_fClientSpeak;
			[]execVM "DAC\Marker\DAC_InitMarker.sqf";
			
			//===========================================|
			// StartScriptOnClient                       |
			//===========================================|
			//player sidechat "ClientStart"
			//[] execVM "myClientScript.sqf";
		};
	};
};