//////////////////////////////
//    Dynamic-AI-Creator    //
//    Version 2.0 - 2007    //
//--------------------------//
//    DAC_Config_Behaviour  //
//--------------------------//
//    Script by Silola      //
//    silola@mapfact.net    //
//////////////////////////////

private [
			"_array","_setSkill","_setCombat","_setBehav","_setSpeed","_setForm","_setPatrol","_setSearch",
			"_setFleeing","_setHeliVal","_setPause","_setBldgBeh","_setSupport","_setJoin","_setEmpVeh"
		];

switch (_this select 0) do
{
//-------------------------------------------------------------------------------------------------------------------------
	case 0:
	{
		_setSkill   = [0.3,0.9];
		_setCombat  = ["white","yellow"];
		_setBehav   = ["safe","aware"];
		_setSpeed   = ["limited","normal","full"];
		_setForm    = ["line","vee","column","wedge","stag column","ech left","ech right","file","diamond"];
		_setFleeing = [0,50];
		_setHeliVal = [45,100,0.7,1];
		_setPause   = [[1,5],[1,5],[1,5],[20,30,5,5],[1,3],[0,0]];
		_setBldgBeh = [0,50,120,600];
		_setPatrol  = ["35 + (20 * (skill _leader))","(30 + (random 30)) + ((skill _leader) * 50)"];
		_setSearch  = ["20 + ((skill _leader) * 150)","30 + ((skill _leader) * 50)"];
		_setSupport = [1,1];
		_setJoin    = 2;
		_setEmpVeh  = [[100,100],[100,100]];
	};
//-------------------------------------------------------------------------------------------------------------------------
	case 1:
	{
		_setSkill   = [0.3,0.9];
		_setCombat  = ["white","yellow"];
		_setBehav   = ["safe","aware"];
		_setSpeed   = ["limited","normal","full"];
		_setForm    = ["line","vee","column","wedge","stag column","ech left","ech right","file","diamond"];
		_setFleeing = [0,50];
		_setHeliVal = [45,100,0.7,1];
		_setPause   = [[1,5],[1,5],[1,5],[20,30,5,5],[1,3],[0,0]];
		_setBldgBeh = [0,50,120,600];
		_setPatrol  = ["35 + (20 * (skill _leader))","(30 + (random 30)) + ((skill _leader) * 50)"];
		_setSearch  = ["20 + ((skill _leader) * 150)","30 + ((skill _leader) * 50)"];
		_setSupport = [1,2];
		_setJoin    = 2;
		_setEmpVeh  = [[100,100],[100,100]];
	};
//-------------------------------------------------------------------------------------------------------------------------
	case 2:
	{
		_setSkill   = [0.5,0.8];
		_setCombat  = ["yellow"];
		_setBehav   = ["aware"];
		_setSpeed   = ["normal","full"];
		_setForm    = ["line","vee","column","wedge","stag column","ech left","ech right","file","diamond"];
		_setFleeing = [0,50];
		_setHeliVal = [45,100,0.7,1];
		_setPause   = [[3,5],[3,5],[5,10],[20,30,5,5],[1,3],[0,0]];
		_setBldgBeh = [2,50,120,600];
		_setPatrol  = ["35 + (20 * (skill _leader))","(30 + (random 30)) + ((skill _leader) * 50)"];
		_setSearch  = ["20 + ((skill _leader) * 150)","30 + ((skill _leader) * 50)"];
		_setSupport = [1,1];
		_setJoin    = 0;
		_setEmpVeh  = [[100,100],[100,100]];
	};
//-------------------------------------------------------------------------------------------------------------------------
	case 3:
	{
		_setSkill   = [0.5,0.8];
		_setCombat  = ["yellow"];
		_setBehav   = ["aware"];
		_setSpeed   = ["normal","full"];
		_setForm    = ["line","vee","column","wedge","stag column","ech left","ech right","file","diamond"];
		_setFleeing = [0,50];
		_setHeliVal = [45,100,0.7,1];
		_setPause   = [[3,5],[3,5],[5,10],[20,30,5,5],[1,3],[0,0]];
		_setBldgBeh = [2,50,120,600];
		_setPatrol  = ["35 + (20 * (skill _leader))","(30 + (random 30)) + ((skill _leader) * 50)"];
		_setSearch  = ["20 + ((skill _leader) * 150)","30 + ((skill _leader) * 50)"];
		_setSupport = [1,9];
		_setJoin    = 0;
		_setEmpVeh  = [[100,100],[100,100]];
	};
//-------------------------------------------------------------------------------------------------------------------------
	case 4:
	{
		_setSkill   = [0.3,0.9];
		_setCombat  = ["white","yellow"];
		_setBehav   = ["safe","aware"];
		_setSpeed   = ["limited","normal","full"];
		_setForm    = ["line","vee","column","wedge","stag column","ech left","ech right","file","diamond"];
		_setFleeing = [0,50];
		_setHeliVal = [45,100,0.7,1];
		_setPause   = [[1,5],[1,5],[1,5],[20,30,5,5],[1,3],[0,0]];
		_setBldgBeh = [0,50,120,600];
		_setPatrol  = ["35 + (20 * (skill _leader))","(30 + (random 30)) + ((skill _leader) * 50)"];
		_setSearch  = ["20 + ((skill _leader) * 150)","30 + ((skill _leader) * 50)"];
		_setSupport = [1,9];
		_setJoin    = 2;
		_setEmpVeh  = [[100,100],[100,100]];
	};
//-------------------------------------------------------------------------------------------------------------------------
	Default {
				if(DAC_Basic_Value != 5) then
				{
					DAC_Basic_Value = 5;publicvariable "DAC_Basic_Value";
					hintc "Error: DAC_Config_Behaviour > No valid config number";
				};
				if(true) exitwith {};
			};
};

_array =	[
				_setSkill,_setCombat,_setBehav,_setSpeed,_setForm,_setFleeing,
				_setHeliVal,_setPause,_setBldgBeh,_setPatrol,_setSearch,
				_setSupport,_setJoin,_setEmpVeh
			];
_array